Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class AVTPartSimple

    java.lang.Object
      |
      +--org.apache.xalan.templates.AVTPart
            |
            +--org.apache.xalan.templates.AVTPartSimple

public class AVTPartSimple
extends AVTPart

Simple string part of a complex AVT.

See Also:
  Serialized Form
Usage:
  **For internal use only**

Constructor Summary
`AVTPartSimple(java.lang.String val)` Construct a simple AVT part.

Method Summary
`void` | `callVisitors(XSLTVisitor visitor)`
`void` | `evaluate(XPathContext xctxt, FastStringBuffer buf, int context, PrefixResolver nsNode)` Write the value into the buffer.
`void` | `fixupVariables(java.util.Vector vars, int globalsSize)` This function is used to fixup variables from QNames to stack frame indexes at stylesheet build time.
`java.lang.String` | `getSimpleString()` Get the AVT part as the original string.

Methods inherited from class org.apache.xalan.templates.AVTPart
`canTraverseOutsideSubtree, setXPathSupport`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AVTPartSimple

    public AVTPartSimple(java.lang.String val)

  Construct a simple AVT part.
  Parameters:
    `val` - A pure string section of an AVT.

Method Detail

### getSimpleString

    public java.lang.String getSimpleString()

  Get the AVT part as the original string.
  Returns:
    the AVT part as the original string.
  Overrides:
    getSimpleString in class AVTPart

### fixupVariables

    public void fixupVariables(java.util.Vector vars,
                               int globalsSize)

  This function is used to fixup variables from QNames to stack frame indexes at stylesheet build time.
  Parameters:
    `vars` - List of QNames that correspond to variables. This list should be searched backwards for the first qualified name that corresponds to the variable reference qname. The position of the QName in the vector from the start of the vector will be its position in the stack frame (but variables above the globalsTop value will need to be offset to the current stack frame).
  Overrides:
    fixupVariables in class AVTPart

### evaluate

    public void evaluate(XPathContext xctxt,
                         FastStringBuffer buf,
                         int context,
                         PrefixResolver nsNode)

  Write the value into the buffer.
  Parameters:
    `xctxt` - An XPathContext object, providing infomation specific to this invocation and this thread. Maintains SAX state, variables, error handler and so on, so the transformation/XPath object itself can be simultaneously invoked from multiple threads.
    `buf` - Buffer to write into.
    `context` - The current source tree context.
    `nsNode` - The current namespace context (stylesheet tree context).
  Overrides:
    evaluate in class AVTPart

### callVisitors

    public void callVisitors(XSLTVisitor visitor)

  See Also:
    `XSLTVisitable.callVisitors(XSLTVisitor)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.